#ifndef _HDLC_H_
#define _HDLC_H_

/*
 *  Definition for Async HDLC
 */
#define HDLC_SYN 0x7e	/* SYNC character */
#define HDLC_ESC 0x7d	/* Escape character */
#define HDLC_XOR 0x20	/* Modifier value */

#define	HDLC_ADDR 0xff
#define	HDLC_UI	  0x03
/*
 *  Definition for HDLC Frame Check Sequence
 */
#define INITFCS 0xffff	/* Initial value for FCS computation */
#define GOODFCS 0xf0b8	/* Good FCS value */

#define	DEF_MRU		1500
#define	MAX_MRU		2000
#define	MIN_MRU		296

/*
 *  Output priority
 */
#define	PRI_NORMAL	0	/* Normal priority */
#define	PRI_FAST	1	/* Fast (interructive) */
#define	PRI_URGENT	2	/* Urgent (LQR packets) */

void HdlcInput(struct mbuf *bp);
void HdlcOutput(int pri, u_short proto, struct mbuf *bp);
void AsyncOutput(int pri, struct mbuf *bp, int proto);

#endif
