#ifndef _LCP_H_
#define _LPC_H_

struct lcpstate {
  u_long  his_mru;
  u_long  his_accmap;
  u_long  his_magic;
  u_long  his_lqrperiod;
  u_char  his_protocomp;
  u_char  his_acfcomp;
  u_short his_auth;

  u_long  want_mru;
  u_long  want_accmap;
  u_long  want_magic;
  u_long  want_lqrperiod;
  u_char  want_protocomp;
  u_char  want_acfcomp;
  u_short want_auth;

  u_long  his_reject;		/* Request codes rejected by peer */
  u_long  my_reject;		/* Request codes I have rejected */

  u_short auth_iwait;
  u_short auth_ineed;
};

#define	LCP_MAXCODE	CODE_DISCREQ

#define	TY_MRU		1	/* Maximum-Receive-Unit */
#define	TY_ACCMAP	2	/* Async-Control-Character-Map */
#define	TY_AUTHPROTO	3	/* Authentication-Protocol */
#define	TY_QUALPROTO	4	/* Quality-Protocol */
#define	TY_MAGICNUM	5	/* Magic-Number */
#define	TY_RESERVED	6	/* RESERVED */
#define	TY_PROTOCOMP	7	/* Protocol-Field-Compression */
#define	TY_ACFCOMP	8	/* Address-and-Control-Field-Compression */

struct lqrreq {
  u_short proto;		/* Quality protocol */
  u_long  period;		/* Reporting interval */
};

extern struct lcpstate LcpInfo;

extern void LcpInit(void);
extern void LcpUp(void);
extern void LcpInitRestartCounter(struct fsm *);
extern void LcpSendConfigReq(struct fsm *);
extern void LcpSendTerminateReq(struct fsm *fp);
extern void LcpSendTerminateAck(struct fsm *fp);
extern void LcpSendProtoRej(u_char *, int);
extern void LcpDecodeConfig(struct mbuf *bp, int mode);
extern void LcpOpen(int mode);
extern void LcpClose(void);
extern void LcpDown(void);
#endif
